%global rolesdir %{_sysconfdir}/ansible/roles/gluster.repos
%global docdir %{_datadir}/doc/gluster.repos
%global buildnum 3

Name:      gluster-ansible-repositories
Version:   1.0.1
Release:   3%{?dist}
Vendor:    Oracle America
Summary:   Ansible roles for GlusterFS infrastructure management

URL:       https://github.com/gluster/gluster-ansible-repositories
Source0: gluster-ansible-repositories-1.0.1.tar.bz2
License:   GPLv3
BuildArch: noarch

Requires:  ansible >= 2.6

%description
Collection of Ansible roles for registering to Red Hat subscription manager,
subscribing to repositories, and installing packages.

%prep
%autosetup -p1

%build

%install
mkdir -p %{buildroot}/%{rolesdir}
cp -dpr defaults meta tasks LICENSE %{buildroot}/%{rolesdir}

mkdir -p %{buildroot}/%{docdir}
cp -dpr README.md examples %{buildroot}/%{docdir}

%files
%{rolesdir}
%doc %{docdir}

%license LICENSE

%changelog
* Fri Apr 16 2021 Frank Batschulat <frank.batschulat@oracle.com> - 1.0.1-3
- Initial spec file for oracle-gluster-8
